cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/tasks/wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.tasks.get_task("wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.tasks.getTask('wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->tasks->getTask('wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.tasks.tasks_dto.TasksDto.TaskView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<TaskView> response = client.tasks().getTask("wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Tasks.GetTaskAsync("wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.tasks.getTask(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Tasks().GetTask(context.Background(), "wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"work_task": {
"activity_logs": [
{
"activity": "<string>"
}
],
"actual_hours": null,
"alerts": "<array>",
"assignees": {
"manually_added_account_contacts": "<array>",
"selected_account_contacts": "<array>",
"selected_employees": [
{
"display_order": 123,
"email": "<string>",
"employee_code": "<string>",
"name": "<string>",
"responsibility": null,
"uuid": "<string>"
}
],
"selected_labours": [
{
"display_order": 123,
"email": "<string>",
"labour_code": "<string>",
"name": "<string>",
"responsibility": null,
"uuid": "<string>"
}
],
"selected_operators": "<array>"
},
"checklist": "<array>",
"code": "<string>",
"completed_at": "<string>",
"completed_by": {
"name": "<string>",
"object": "<string>"
},
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": "<array>",
"description": "<string>",
"display_name": "<string>",
"due_date": "<string>",
"estimated_hours": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"milestone": null,
"name": "<string>",
"object": "<string>",
"parent_task": null,
"priority": "<string>",
"resource": null,
"sort_order": 123,
"start_after": null,
"start_date": "<string>",
"state": null,
"status": "<string>",
"task_status": "<string>",
"version": 123,
"workflow": null
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Tasks
Retrieve a task
Retrieves one task, with its checklist, assignees and alerts.
GET
/
tasks
/
{task_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/tasks/wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.tasks.get_task("wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.tasks.getTask('wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->tasks->getTask('wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.tasks.tasks_dto.TasksDto.TaskView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<TaskView> response = client.tasks().getTask("wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Tasks.GetTaskAsync("wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.tasks.getTask(
'wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Tasks().GetTask(context.Background(), "wt_2e4f6a8b0c1d4e3f9a7b5c3d1e0f2a4b", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"work_task": {
"activity_logs": [
{
"activity": "<string>"
}
],
"actual_hours": null,
"alerts": "<array>",
"assignees": {
"manually_added_account_contacts": "<array>",
"selected_account_contacts": "<array>",
"selected_employees": [
{
"display_order": 123,
"email": "<string>",
"employee_code": "<string>",
"name": "<string>",
"responsibility": null,
"uuid": "<string>"
}
],
"selected_labours": [
{
"display_order": 123,
"email": "<string>",
"labour_code": "<string>",
"name": "<string>",
"responsibility": null,
"uuid": "<string>"
}
],
"selected_operators": "<array>"
},
"checklist": "<array>",
"code": "<string>",
"completed_at": "<string>",
"completed_by": {
"name": "<string>",
"object": "<string>"
},
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"custom_attributes": "<array>",
"description": "<string>",
"display_name": "<string>",
"due_date": "<string>",
"estimated_hours": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"milestone": null,
"name": "<string>",
"object": "<string>",
"parent_task": null,
"priority": "<string>",
"resource": null,
"sort_order": 123,
"start_after": null,
"start_date": "<string>",
"state": null,
"status": "<string>",
"task_status": "<string>",
"version": 123,
"workflow": null
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the task under
work_task, including its checklist, its assignees (employees, labours, operators and account contacts) and its alerts.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.